Subject: Re: [net-next: PATCH 08/12] ACPI: scan: prevent double enumeration of MDIO bus children

From: Andy Shevchenko <[email-masked]>
Date: Mon, 20 Jun 2022 20:53:09 +0300

On Mon, Jun 20, 2022 at 05:02:21PM +0200, Marcin Wojtas wrote:
> The MDIO bus is responsible for probing and registering its respective
> children, such as PHYs or other kind of devices.
> 
> It is required that ACPI scan code should not enumerate such
> devices, leaving this task for the generic MDIO bus routines,
> which are initiated by the controller driver.
> 
> This patch prevents unwanted enumeration of the devices by setting
> 'enumeration_by_parent' flag, depending on whether their parent
> device is a member of a known list of MDIO controllers. For now,
> the Marvell MDIO controllers' IDs are added.

This flag is used for serial buses that are not self-discoverable. Not sure
about MDIO, but the current usage has a relation to the _CRS. Have you
considered to propose the MdioSerialBus() resource type to ACPI specification?

-- 
With Best Regards,
Andy Shevchenko